Subject: Re: [MPC8272ADS]Cannot start my Linux Kernel

From: Scott Wood <[email-masked]>
Date: Fri, 23 Jan 2009 10:17:59 -0600

Daniel Ng99 wrote:
> MPC8247 Clock Configuration
>  - Bus-to-Core Mult 5x, VCO Div 2, 60x Bus Freq  20-60 , Core Freq 100-300
>  - dfbrg 1, corecnf 0x1b, busdf 7, cpmdf 1, plldf 0, pllmf 7, pcidf 7
>  - vco_out  528000000, scc_clk  132000000, brg_clk   33000000
>  - cpu_clk  330000000, cpm_clk  264000000, bus_clk   66000000
> 
> So maybe 35 x 2 = 70 is the correct value?
> 
> Anyway, I tried all these but still they made no difference:
> 
> clock-frequency = <35>
> clock-frequency = <0x23>
> clock-frequency = <115200>
> clock-frequency = <1c200>
> clock-frequency = <70>
> clock-frequency = <17>
> clock-frequency = <66>
> clock-frequency = <33>
> 
> Can you suggest any other values? 

Don't set it to the BRG divider, set it to the BRG *input* clock, which 
appears to be 33000000.

> What is the effect of just not calling set_brg()? I still get console
> output, so am I setting myself up for some sort of problem in the future?

You will not be able to change the baud rate from Linux.

> What is the effect of setting "fsl,cpm-brg = <0>" in the 'serial' device
> tree node?

You'll have an invalid device tree, which will cause the kernel to write 
to a reserved register.

-Scott